summaryrefslogtreecommitdiff
path: root/Makefile
diff options
context:
space:
mode:
authorGravatar Joey Hess <joey@kitenet.net>2012-12-14 15:52:44 -0400
committerGravatar Joey Hess <joey@kitenet.net>2012-12-14 16:07:59 -0400
commit3780a5eb0a01e3d31fc0de2410f7b01518710a0e (patch)
tree0b187086ee7cb6ed6dd1c49b4dd0871c856a27cd /Makefile
parentd6adaf499124c11e3d79252821ef400d2a87b155 (diff)
move thirdparty program installation for standalone bundle into haskell program
This allows it to use Build.SysConfig to always install the programs configure detected. Amoung other fixes, this ensures the right uuid generator and checksum programs are installed. I also cleaned up the handling of lsof's path; configure now checks for it in PATH, but falls back to looking for it in sbin directories.
Diffstat (limited to 'Makefile')
-rw-r--r--Makefile24
1 files changed, 2 insertions, 22 deletions
diff --git a/Makefile b/Makefile
index 90d44af54..31f32b871 100644
--- a/Makefile
+++ b/Makefile
@@ -143,9 +143,6 @@ sdist: clean $(mans)
hackage: sdist
@cabal upload dist/*.tar.gz
-THIRDPARTY_BINS=git curl lsof xargs rsync uuid wget gpg \
- sha1sum sha224sum sha256sum sha384sum sha512sum cp ssh sh
-
LINUXSTANDALONE_DEST=$(GIT_ANNEX_TMP_BUILD_DIR)/git-annex.linux
linuxstandalone:
$(MAKE) git-annex
@@ -160,16 +157,7 @@ linuxstandalone:
ln -sf git-annex "$(LINUXSTANDALONE_DEST)/bin/git-annex-shell"
zcat standalone/licences.gz > $(LINUXSTANDALONE_DEST)/LICENSE
- set -e; \
- for bin in $(THIRDPARTY_BINS); do \
- p="$$(PATH=$$PATH:/usr/sbin:/sbin:/usr/local/sbin which "$$bin")"; \
- if [ -z "$$p" ]; then \
- echo "** missing $$bin" >&2; \
- exit 1; \
- else \
- cp "$$p" "$(LINUXSTANDALONE_DEST)/bin/"; \
- fi; \
- done
+ runghc Build/Standalone.hs "$(LINUXSTANDALONE_DEST)"
install -d "$(LINUXSTANDALONE_DEST)/git-core"
(cd "$(shell git --exec-path)" && tar c .) | (cd "$(LINUXSTANDALONE_DEST)"/git-core && tar x)
@@ -207,15 +195,7 @@ osxapp:
gzcat standalone/licences.gz > $(OSXAPP_BASE)/LICENSE
cp $(OSXAPP_BASE)/LICENSE $(GIT_ANNEX_TMP_BUILD_DIR)/build-dmg/LICENSE.txt
- for bin in $(THIRDPARTY_BINS); do \
- p="$$(PATH=$$PATH:/usr/sbin:/sbin:/usr/local/sbin which "$$bin")"; \
- if [ -z "$$p" ]; then \
- echo "** missing $$bin" >&2; \
- exit 1; \
- else \
- cp "$$p" "$(OSXAPP_BASE)"; \
- fi; \
- done
+ runghc Build/Standalone.hs $(OSXAPP_BASE)
(cd "$(shell git --exec-path)" && tar c .) | (cd "$(OSXAPP_BASE)" && tar x)
install -d "$(OSXAPP_BASE)/templates"